com.taosdata.jdbc.rs

## Class RestfulResultSetMetaData

- java.lang.Object
- - com.taosdata.jdbc.WrapperImpl
  - - com.taosdata.jdbc.rs.RestfulResultSetMetaData

All Implemented Interfaces:
  ResultSetMetaData, Wrapper

Deprecated.
Use WebSocket connection instead.

    @Deprecated
    public class RestfulResultSetMetaData
    extends WrapperImpl
    implements ResultSetMetaData

### Field Summary

### Fields inherited from interface java.sql.ResultSetMetaData

`columnNoNulls, columnNullable, columnNullableUnknown`

### Constructor Summary

Constructors
Constructor and Description
`RestfulResultSetMetaData(String database, List<RestfulResultSet.Field> fields, boolean varcharAsString)` Deprecated.
`RestfulResultSetMetaData(String database, List<RestfulResultSet.Field> fields, String tableName, boolean varcharAsString)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`String` `getCatalogName(int column)` Deprecated.
`String` `getColumnClassName(int column)` Deprecated.
`int` `getColumnCount()` Deprecated.
`int` `getColumnDisplaySize(int column)` Deprecated.
`String` `getColumnLabel(int column)` Deprecated.
`String` `getColumnName(int column)` Deprecated.
`int` `getColumnType(int column)` Deprecated.
`String` `getColumnTypeName(int column)` Deprecated.
`List<RestfulResultSet.Field>` `getFields()` Deprecated.
`int` `getPrecision(int column)` Deprecated.
`int` `getScale(int column)` Deprecated.
`String` `getSchemaName(int column)` Deprecated.
`String` `getTableName(int column)` Deprecated.
`boolean` `isAutoIncrement(int column)` Deprecated.
`boolean` `isCaseSensitive(int column)` Deprecated.
`boolean` `isCurrency(int column)` Deprecated.
`boolean` `isDefinitelyWritable(int column)` Deprecated.
`int` `isNullable(int column)` Deprecated.
`boolean` `isReadOnly(int column)` Deprecated.
`boolean` `isSearchable(int column)` Deprecated.
`boolean` `isSigned(int column)` Deprecated.
`boolean` `isWritable(int column)` Deprecated.

### Methods inherited from class com.taosdata.jdbc.WrapperImpl

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Constructor Detail

#### RestfulResultSetMetaData

    public RestfulResultSetMetaData(String database,
                                    List<RestfulResultSet.Field> fields,
                                    boolean varcharAsString)

Deprecated.

#### RestfulResultSetMetaData

    public RestfulResultSetMetaData(String database,
                                    List<RestfulResultSet.Field> fields,
                                    String tableName,
                                    boolean varcharAsString)

Deprecated.

### Method Detail

#### getFields

    public List<RestfulResultSet.Field> getFields()

Deprecated.

#### getColumnCount

    public int getColumnCount()
                       throws SQLException

Deprecated.

Specified by:
  `getColumnCount` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isAutoIncrement

    public boolean isAutoIncrement(int column)
                            throws SQLException

Deprecated.

Specified by:
  `isAutoIncrement` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isCaseSensitive

    public boolean isCaseSensitive(int column)
                            throws SQLException

Deprecated.

Specified by:
  `isCaseSensitive` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isSearchable

    public boolean isSearchable(int column)
                         throws SQLException

Deprecated.

Specified by:
  `isSearchable` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isCurrency

    public boolean isCurrency(int column)
                       throws SQLException

Deprecated.

Specified by:
  `isCurrency` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isNullable

    public int isNullable(int column)
                   throws SQLException

Deprecated.

Specified by:
  `isNullable` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isSigned

    public boolean isSigned(int column)
                     throws SQLException

Deprecated.

Specified by:
  `isSigned` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getColumnDisplaySize

    public int getColumnDisplaySize(int column)
                             throws SQLException

Deprecated.

Specified by:
  `getColumnDisplaySize` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getColumnLabel

    public String getColumnLabel(int column)
                          throws SQLException

Deprecated.

Specified by:
  `getColumnLabel` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getColumnName

    public String getColumnName(int column)
                         throws SQLException

Deprecated.

Specified by:
  `getColumnName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getSchemaName

    public String getSchemaName(int column)
                         throws SQLException

Deprecated.

Specified by:
  `getSchemaName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getPrecision

    public int getPrecision(int column)
                     throws SQLException

Deprecated.

Specified by:
  `getPrecision` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getScale

    public int getScale(int column)
                 throws SQLException

Deprecated.

Specified by:
  `getScale` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getTableName

    public String getTableName(int column)
                        throws SQLException

Deprecated.

Specified by:
  `getTableName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getCatalogName

    public String getCatalogName(int column)
                          throws SQLException

Deprecated.

Specified by:
  `getCatalogName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getColumnType

    public int getColumnType(int column)
                      throws SQLException

Deprecated.

Specified by:
  `getColumnType` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getColumnTypeName

    public String getColumnTypeName(int column)
                             throws SQLException

Deprecated.

Specified by:
  `getColumnTypeName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isReadOnly

    public boolean isReadOnly(int column)
                       throws SQLException

Deprecated.

Specified by:
  `isReadOnly` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isWritable

    public boolean isWritable(int column)
                       throws SQLException

Deprecated.

Specified by:
  `isWritable` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isDefinitelyWritable

    public boolean isDefinitelyWritable(int column)
                                 throws SQLException

Deprecated.

Specified by:
  `isDefinitelyWritable` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getColumnClassName

    public String getColumnClassName(int column)
                              throws SQLException

Deprecated.

Specified by:
  `getColumnClassName` in interface `ResultSetMetaData`
Throws:
  `SQLException`